Name:           lacewing
Version:        1.10
Release:        10%{?dist}
Summary:        Asteroid like game with many different ships
Group:          Amusements/Games
License:        GPLv2+
URL:            http://users.olis.net.au/zel/
Source0:        http://users.olis.net.au/zel/lwsrc.zip
Source1:        http://users.olis.net.au/zel/lwdata.zip
Source2:        lacewing.desktop
Source3:        lacewing.png
Patch0:         lacewing.patch
Patch1:         lacewing-fullscreen.patch
Patch2:         lacewing-nicecpu.patch
Patch3:         lacewing-warn.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  allegro-devel desktop-file-utils
Requires:       hicolor-icon-theme

%description
Asteroid like game where you can choose a type of ship and depending on the
type of ship can pickup a number of upgrades during the game.

Lacewing is an arcade-style shoot-em-up which plays a little bit like a cross
between Spacewar and Centipede. It has a decidedly retro style to it. It has
a single-player mode, and also co-operative and duel modes for two players
(split-screen).


%prep
%setup -q -c
unzip -qqo %{SOURCE1}
%patch0 -p1 -z .unix
%patch1 -p1 -z .fullscreen
%patch2 -p1 -z .nicecpu
%patch3 -p1 -z .warn
sed -i 's/\r//' readme.txt licence.txt
chmod 644 readme.txt licence.txt


%build
make %{?_smp_mflags} PREFIX=%{_prefix} \
  CFLAGS="$RPM_OPT_FLAGS -fsigned-char -Wno-deprecated-declarations"


%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT%{_prefix}

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE2}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -p -m 644 %{SOURCE3} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc readme.txt licence.txt
%{_bindir}/lacewing
%{_datadir}/lacewing
%{_datadir}/applications/fedora-lacewing.desktop
%{_datadir}/icons/hicolor/48x48/apps/lacewing.png

%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.10-10
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.10-9
- Rebuild for buildId

* Sun Aug 12 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.10-8
- Update License tag for new Licensing Guidelines compliance
- Fix invalid desktop file (fix building with latest desktop-file-utils)

* Mon Aug 28 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.10-7
- FE6 Rebuild

* Thu Jul  6 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.10-6
- Rebuild against new allegro to remove executable stack requirement caused
  by previous versions of allegro.

* Wed Mar 22 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.10-5
- Change fullscreen patch to not change to window / fullscreen untill
  the menu is left.
- Fix all warnings.

* Mon Feb 13 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.10-4
- Bump release and rebuild for new gcc4.1 and glibc.

* Mon Jan 30 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.10-3
- Summary and Description text fixes (bz 178568)

* Sun Jan 22 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.10-2
- Some minor spec file cleanups (bz 178568):
  - use %%{_prefix} instead of /usr
  - use advised scriplets from the Wiki (use %%{_bindir}, || : )
  - run sed on doc files to convert DOS line-ends to UNIX ones
  - don't mark the default default settings file %%config as suggested
    in comment 5

* Sat Jan 21 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.10-1
- Initial Fedora Extras package
